/* Copyright (c) 1997 Andrew W. Appel.  Licensed software: see LICENSE file */
package Parse;


class Yylex implements Lexer {
	private final int YY_BUFFER_SIZE = 512;
	private final int YY_F = -1;
	private final int YY_NO_STATE = -1;
	private final int YY_NOT_ACCEPT = 0;
	private final int YY_START = 1;
	private final int YY_END = 2;
	private final int YY_NO_ANCHOR = 4;
	private final char YYEOF = '\uFFFF';

private int stringstart;
private StringBuffer charbuf = null;
private void newline() {
  errorMsg.newline(yychar);
}
private int comLevel = 0;
private void err(int pos, String s) {
  errorMsg.error(pos,s);
}
private void err(String s) {
  err(yychar,s);
}
private java_cup.runtime.Symbol tok(int kind) {
    return new java_cup.runtime.Symbol(kind, yychar, yychar+yylength());
}
private ErrorMsg.ErrorMsg errorMsg;
Yylex(java.io.InputStream s, ErrorMsg.ErrorMsg e) {
  this(s);
  errorMsg=e;
}
	private java.io.BufferedReader yy_reader;
	private int yy_buffer_index;
	private int yy_buffer_read;
	private int yy_buffer_start;
	private int yy_buffer_end;
	private char yy_buffer[];
	private int yychar;
	private int yy_lexical_state;

	Yylex (java.io.Reader reader) {
		this ();
		if (null == reader) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(reader);
	}

	Yylex (java.io.InputStream instream) {
		this ();
		if (null == instream) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(new java.io.InputStreamReader(instream));
	}

	private Yylex () {
		yy_buffer = new char[YY_BUFFER_SIZE];
		yy_buffer_read = 0;
		yy_buffer_index = 0;
		yy_buffer_start = 0;
		yy_buffer_end = 0;
		yychar = 0;
		yy_lexical_state = YYINITIAL;
	}

	private boolean yy_eof_done = false;
	private final int YYINITIAL = 0;
	private final int S = 2;
	private final int F = 3;
	private final int A = 1;
	private final int yy_state_dtrans[] = {
		0,
		79,
		81,
		65
	};
	private void yybegin (int state) {
		yy_lexical_state = state;
	}
	private char yy_advance ()
		throws java.io.IOException {
		int next_read;
		int i;
		int j;

		if (yy_buffer_index < yy_buffer_read) {
			return yy_buffer[yy_buffer_index++];
		}

		if (0 != yy_buffer_start) {
			i = yy_buffer_start;
			j = 0;
			while (i < yy_buffer_read) {
				yy_buffer[j] = yy_buffer[i];
				++i;
				++j;
			}
			yy_buffer_end = yy_buffer_end - yy_buffer_start;
			yy_buffer_start = 0;
			yy_buffer_read = j;
			yy_buffer_index = j;
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YYEOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}

		while (yy_buffer_index >= yy_buffer_read) {
			if (yy_buffer_index >= yy_buffer.length) {
				yy_buffer = yy_double(yy_buffer);
			}
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YYEOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}
		return yy_buffer[yy_buffer_index++];
	}
	private void yy_move_start () {
		++yychar;
		++yy_buffer_start;
	}
	private void yy_pushback () {
		--yy_buffer_end;
	}
	private void yy_mark_start () {
		yychar = yychar
			+ yy_buffer_index - yy_buffer_start;
		yy_buffer_start = yy_buffer_index;
	}
	private void yy_mark_end () {
		yy_buffer_end = yy_buffer_index;
	}
	private void yy_to_mark () {
		yy_buffer_index = yy_buffer_end;
	}
	private java.lang.String yytext () {
		return (new java.lang.String(yy_buffer,
			yy_buffer_start,
			yy_buffer_end - yy_buffer_start));
	}
	private int yylength () {
		return yy_buffer_end - yy_buffer_start;
	}
	private char[] yy_double (char buf[]) {
		int i;
		char newbuf[];
		newbuf = new char[2*buf.length];
		for (i = 0; i < buf.length; ++i) {
			newbuf[i] = buf[i];
		}
		return newbuf;
	}
	private final int YY_E_INTERNAL = 0;
	private final int YY_E_MATCH = 1;
	private java.lang.String yy_error_string[] = {
		"Error: Internal error.\n",
		"Error: Unmatched input.\n"
	};
	private void yy_error (int code,boolean fatal) {
		java.lang.System.out.print(yy_error_string[code]);
		java.lang.System.out.flush();
		if (fatal) {
			throw new Error("Fatal Error.\n");
		}
	}
	private int yy_acpt[] = {
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NOT_ACCEPT,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR,
		YY_NO_ANCHOR
	};
	private int yy_cmap[] = {
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 1, 2, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		0, 0, 0, 0, 0, 0, 0, 0,
		1, 0, 3, 0, 0, 0, 4, 0,
		5, 6, 7, 8, 9, 10, 11, 12,
		13, 14, 15, 16, 16, 16, 16, 16,
		16, 16, 17, 18, 19, 20, 21, 0,
		22, 23, 23, 23, 23, 23, 23, 23,
		23, 23, 23, 23, 23, 23, 23, 23,
		23, 23, 23, 23, 23, 23, 23, 23,
		23, 23, 23, 24, 25, 26, 27, 28,
		0, 29, 30, 31, 32, 33, 34, 35,
		36, 37, 35, 38, 39, 35, 40, 41,
		42, 35, 43, 44, 45, 46, 47, 48,
		35, 49, 35, 50, 51, 52, 0, 0
		
	};
	private int yy_rmap[] = {
		0, 1, 1, 1, 1, 1, 1, 2,
		1, 1, 1, 1, 3, 4, 5, 1,
		6, 1, 7, 8, 1, 1, 1, 1,
		1, 9, 1, 1, 1, 1, 1, 1,
		8, 8, 8, 8, 8, 8, 8, 8,
		8, 8, 8, 8, 8, 8, 8, 8,
		8, 1, 1, 1, 1, 1, 1, 1,
		10, 1, 1, 1, 1, 1, 1, 1,
		1, 11, 1, 1, 12, 13, 9, 14,
		15, 16, 17, 18, 19, 20, 21, 22,
		23, 24, 25, 26, 27, 28, 29, 30,
		31, 12, 32, 33, 34, 35, 36, 37,
		38, 39, 40, 41, 42, 43, 44, 45,
		46, 47, 48, 49, 50, 51, 52, 53,
		54, 55, 56, 57, 58, 59, 60, 61,
		62, 63 
	};
	private int yy_nxt[][] = {
		{ 1, 69, 2, 3, 4, 5, 6, 7,
			8, 9, 10, 11, 12, 13, 13, 13,
			13, 14, 15, 16, 17, 18, 1, 19,
			20, 70, 21, 1, 1, 116, 117, 19,
			71, 100, 101, 19, 19, 75, 19, 102,
			103, 78, 19, 19, 19, 80, 19, 104,
			118, 19, 22, 23, 24 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, 26, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, 27,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 13, 13, 13,
			13, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, 28, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, 29, 30, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, 31, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 72, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, 57, 58, 59, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 83, 83, 83,
			83, -1, -1, -1, -1, -1, -1, -1,
			-1, 60, -1, 85, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			61, -1, -1, -1, -1, 62, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ 66, 74, 67, 66, 66, 66, 66, 66,
			66, 66, 66, 66, 66, 66, 66, 66,
			66, 66, 66, 66, 66, 66, 66, 66,
			66, 68, 66, 66, 66, 66, 66, 66,
			66, 66, 66, 66, 66, 66, 66, 66,
			66, 66, 66, 66, 66, 66, 66, 66,
			66, 66, 66, 66, 66 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 91, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, 69, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, 25, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 32, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, 76, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, 51, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, 74, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, 89, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 33, 19, 19, 19, 19, 19,
			34, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, 69,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, 52,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 35, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ 49, 49, 50, 49, 49, 49, 49, 73,
			49, 49, 49, 49, 77, 49, 49, 49,
			49, 49, 49, 49, 49, 49, 49, 49,
			49, 49, 49, 49, 49, 49, 49, 49,
			49, 49, 49, 49, 49, 49, 49, 49,
			49, 49, 49, 49, 49, 49, 49, 49,
			49, 49, 49, 49, 49 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 106, 19, 19, 19,
			19, 36, 19, 19, 19, 19, 19, 19,
			19, 107, -1, -1, -1 
		},
		{ 53, 53, 54, 55, 53, 53, 53, 53,
			53, 53, 53, 53, 53, 53, 53, 53,
			53, 53, 53, 53, 53, 53, 53, 53,
			53, 56, 53, 53, 53, 53, 53, 53,
			53, 53, 53, 53, 53, 53, 53, 53,
			53, 53, 53, 53, 53, 53, 53, 53,
			53, 53, 53, 53, 53 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			37, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 87, 87, 87,
			87, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 38, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, 63, 63,
			63, 63, 63, 63, 63, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 39, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 64, 64, 64,
			64, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 40,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 41, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, 93, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 42, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, 74,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			43, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 44, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 45, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 46, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 47, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			48, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 105,
			82, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 84, 19, 19, 19, 19, 121, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 86, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 88, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 90, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 92, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 94, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 95, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 96, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 97, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 98,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 99, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 108, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 109, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 110, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 111, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 112, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 113, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 114, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 115, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 119,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		},
		{ -1, -1, -1, -1, -1, -1, -1, -1,
			-1, -1, -1, -1, -1, 19, 19, 19,
			19, -1, -1, -1, -1, -1, -1, 19,
			-1, -1, -1, -1, 19, 19, 19, 19,
			19, 19, 19, 19, 19, 19, 19, 19,
			120, 19, 19, 19, 19, 19, 19, 19,
			19, 19, -1, -1, -1 
		}
	};
	public java_cup.runtime.Symbol nextToken ()
		throws java.io.IOException {
		char yy_lookahead;
		int yy_anchor = YY_NO_ANCHOR;
		int yy_state = yy_state_dtrans[yy_lexical_state];
		int yy_next_state = YY_NO_STATE;
		int yy_last_accept_state = YY_NO_STATE;
		boolean yy_initial = true;
		int yy_this_accept;

		yy_mark_start();
		yy_this_accept = yy_acpt[yy_state];
		if (YY_NOT_ACCEPT != yy_this_accept) {
			yy_last_accept_state = yy_state;
			yy_mark_end();
		}
		while (true) {
			yy_lookahead = yy_advance();
			yy_next_state = YY_F;
			if (YYEOF != yy_lookahead) {
				yy_next_state = yy_nxt[yy_rmap[yy_state]][yy_cmap[yy_lookahead]];
			}
			if (YY_F != yy_next_state) {
				yy_state = yy_next_state;
				yy_initial = false;
				yy_this_accept = yy_acpt[yy_state];
				if (YY_NOT_ACCEPT != yy_this_accept) {
					yy_last_accept_state = yy_state;
					yy_mark_end();
				}
			}
			else {
				if (YYEOF == yy_lookahead && true == yy_initial) {

	{if (comLevel>0) err (stringstart, "unclosed comment");
	 return tok(sym.EOF);
        }
				}
				else if (YY_NO_STATE == yy_last_accept_state) {
					throw (new Error("Lexical Error: Unmatched Input."));
				}
				else {
					yy_to_mark();
					yy_anchor = yy_acpt[yy_last_accept_state];
					if (0 != (YY_END & yy_anchor)) {
						yy_pushback();
					}
					if (0 != (YY_START & yy_anchor)) {
						yy_move_start();
					}
					switch (yy_last_accept_state) {
					case 0:
						{}
					case -2:
						break;
					case 1:
						{err("illegal token");}
					case -3:
						break;
					case 2:
						{newline();}
					case -4:
						break;
					case 3:
						{charbuf=new StringBuffer(); stringstart=yychar; yybegin(S);}
					case -5:
						break;
					case 4:
						{return tok(sym.AND);}
					case -6:
						break;
					case 5:
						{return tok(sym.LPAREN);}
					case -7:
						break;
					case 6:
						{return tok(sym.RPAREN);}
					case -8:
						break;
					case 7:
						{return tok(sym.TIMES);}
					case -9:
						break;
					case 8:
						{return tok(sym.PLUS);}
					case -10:
						break;
					case 9:
						{return tok(sym.COMMA);}
					case -11:
						break;
					case 10:
						{return tok(sym.MINUS);}
					case -12:
						break;
					case 11:
						{return tok(sym.DOT);}
					case -13:
						break;
					case 12:
						{return tok(sym.DIVIDE);}
					case -14:
						break;
					case 13:
						{return new java_cup.runtime.Symbol(sym.INT,
			yychar,yychar+yylength(),
			  new Integer(Integer.parseInt(yytext())));}
					case -15:
						break;
					case 14:
						{return tok(sym.COLON);}
					case -16:
						break;
					case 15:
						{return tok(sym.SEMICOLON);}
					case -17:
						break;
					case 16:
						{return tok(sym.LT);}
					case -18:
						break;
					case 17:
						{return tok(sym.EQ);}
					case -19:
						break;
					case 18:
						{return tok(sym.GT);}
					case -20:
						break;
					case 19:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -21:
						break;
					case 20:
						{return tok(sym.LBRACK);}
					case -22:
						break;
					case 21:
						{return tok(sym.RBRACK);}
					case -23:
						break;
					case 22:
						{return tok(sym.LBRACE);}
					case -24:
						break;
					case 23:
						{return tok(sym.OR);}
					case -25:
						break;
					case 24:
						{return tok(sym.RBRACE);}
					case -26:
						break;
					case 26:
						{err("unmatched close comment");}
					case -27:
						break;
					case 27:
						{yybegin(A); stringstart = yychar; comLevel = 1;}
					case -28:
						break;
					case 28:
						{return tok(sym.ASSIGN);}
					case -29:
						break;
					case 29:
						{return tok(sym.LE);}
					case -30:
						break;
					case 30:
						{return tok(sym.NEQ);}
					case -31:
						break;
					case 31:
						{return tok(sym.GE);}
					case -32:
						break;
					case 32:
						{return tok(sym.DO);}
					case -33:
						break;
					case 33:
						{return tok(sym.IF);}
					case -34:
						break;
					case 34:
						{return tok(sym.IN);}
					case -35:
						break;
					case 35:
						{return tok(sym.OF);}
					case -36:
						break;
					case 36:
						{return tok(sym.TO);}
					case -37:
						break;
					case 37:
						{return tok(sym.END);}
					case -38:
						break;
					case 38:
						{return tok(sym.FOR);}
					case -39:
						break;
					case 39:
						{return tok(sym.LET);}
					case -40:
						break;
					case 40:
						{return tok(sym.NIL);}
					case -41:
						break;
					case 41:
						{return tok(sym.VAR);}
					case -42:
						break;
					case 42:
						{return tok(sym.ELSE);}
					case -43:
						break;
					case 43:
						{return tok(sym.THEN);}
					case -44:
						break;
					case 44:
						{return tok(sym.TYPE);}
					case -45:
						break;
					case 45:
						{return tok(sym.ARRAY);}
					case -46:
						break;
					case 46:
						{return tok(sym.WHILE);}
					case -47:
						break;
					case 47:
						{return tok(sym.WHILE);}
					case -48:
						break;
					case 48:
						{return tok(sym.FUNCTION);}
					case -49:
						break;
					case 49:
						{}
					case -50:
						break;
					case 50:
						{newline();}
					case -51:
						break;
					case 51:
						{comLevel--; if (comLevel==0) yybegin(YYINITIAL);}
					case -52:
						break;
					case 52:
						{comLevel++;}
					case -53:
						break;
					case 53:
						{charbuf.append(yytext());}
					case -54:
						break;
					case 54:
						{err (stringstart,"unclosed string");
		 newline();
		 yybegin(YYINITIAL); 
		 return new java_cup.runtime.Symbol(sym.STRING,
				stringstart,yychar+yylength(),
				     charbuf.toString());
		}
					case -55:
						break;
					case 55:
						{yybegin(YYINITIAL);
		 return new java_cup.runtime.Symbol(sym.STRING,
			stringstart,yychar+yylength(),charbuf.toString());
		}
					case -56:
						break;
					case 56:
						{err("illegal string escape"); }
					case -57:
						break;
					case 57:
						{yybegin(F);}
					case -58:
						break;
					case 58:
						{newline(); yybegin(F);}
					case -59:
						break;
					case 59:
						{charbuf.append('\"');}
					case -60:
						break;
					case 60:
						{charbuf.append('\\');}
					case -61:
						break;
					case 61:
						{charbuf.append('\n');}
					case -62:
						break;
					case 62:
						{charbuf.append('\t');}
					case -63:
						break;
					case 63:
						{charbuf.append((char)(yytext().charAt(2) - '@'));}
					case -64:
						break;
					case 64:
						{String text = yytext();
			 int x = text.charAt(1)*100 + text.charAt(2)*10 
		                     + text.charAt(3) - ('0' * 111);
		 if (x>255)
		      err("illegal ascii escape");
		 else charbuf.append((char)x);
		}
					case -65:
						break;
					case 65:
						{}
					case -66:
						break;
					case 66:
						{err (stringstart,"unclosed string"); yybegin(YYINITIAL); 
		 return new java_cup.runtime.Symbol(sym.STRING,
			stringstart,yychar+yylength(),
				     charbuf.toString());
		}
					case -67:
						break;
					case 67:
						{newline();}
					case -68:
						break;
					case 68:
						{yybegin(S); stringstart=yychar;}
					case -69:
						break;
					case 69:
						{}
					case -70:
						break;
					case 70:
						{err("illegal token");}
					case -71:
						break;
					case 71:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -72:
						break;
					case 73:
						{}
					case -73:
						break;
					case 74:
						{}
					case -74:
						break;
					case 75:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -75:
						break;
					case 77:
						{}
					case -76:
						break;
					case 78:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -77:
						break;
					case 80:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -78:
						break;
					case 82:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -79:
						break;
					case 84:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -80:
						break;
					case 86:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -81:
						break;
					case 88:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -82:
						break;
					case 90:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -83:
						break;
					case 92:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -84:
						break;
					case 94:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -85:
						break;
					case 95:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -86:
						break;
					case 96:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -87:
						break;
					case 97:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -88:
						break;
					case 98:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -89:
						break;
					case 99:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -90:
						break;
					case 100:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -91:
						break;
					case 101:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -92:
						break;
					case 102:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -93:
						break;
					case 103:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -94:
						break;
					case 104:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -95:
						break;
					case 105:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -96:
						break;
					case 106:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -97:
						break;
					case 107:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -98:
						break;
					case 108:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -99:
						break;
					case 109:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -100:
						break;
					case 110:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -101:
						break;
					case 111:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -102:
						break;
					case 112:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -103:
						break;
					case 113:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -104:
						break;
					case 114:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -105:
						break;
					case 115:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -106:
						break;
					case 116:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -107:
						break;
					case 117:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -108:
						break;
					case 118:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -109:
						break;
					case 119:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -110:
						break;
					case 120:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -111:
						break;
					case 121:
						{return new java_cup.runtime.Symbol(sym.ID,
				yychar,yychar+yylength(),
				     yytext());}
					case -112:
						break;
					default:
						yy_error(YY_E_INTERNAL,false);
					case -1:
					}
					yy_initial = true;
					yy_state = yy_state_dtrans[yy_lexical_state];
					yy_next_state = YY_NO_STATE;
					yy_last_accept_state = YY_NO_STATE;
					yy_mark_start();
					yy_this_accept = yy_acpt[yy_state];
					if (YY_NOT_ACCEPT != yy_this_accept) {
						yy_last_accept_state = yy_state;
					}
				}
			}
		}
	}
}
