/* Copyright (c) 1997 Andrew W. Appel.  Licensed software: see LICENSE file */
package RegAlloc;
import Temp.Temp;
import Temp.TempList;
import Temp.TempMap;
import Graph.Node;
import Graph.NodeList;

class Color implements TempMap {

  TempList spillList = null;

  public TempList spills() {
     return spillList;
  }

  InterferenceGraph igraph;
  TempList registers;
  TempMap precolored;
  int K=0;

  java.util.Dictionary colorTab = new java.util.Hashtable();

  public String tempMap(Temp t) {
	String c = precolored.tempMap(t);
	if (c!=null) return c;
	return (String)colorTab.get(t);
  }

  String color(Temp t) {
	return tempMap(t);
  }

  boolean colored(Node n) {return color(igraph.gtemp(n))!=null;}

  NodeList simplifyWorklist = null;
  
  java.util.Dictionary degreeMap = new java.util.Hashtable(); /* Node to Integer */

  void initWorklist() {
	for(NodeList p=igraph.nodes(); p!=null; p=p.tail) {
	  int i = p.head.degree();
	  degreeMap.put(p.head,new Integer(i));
	  if (i<K && !colored(p.head))
	     simplifyWorklist = new NodeList(p.head,simplifyWorklist);
	}
  }

  NodeList selectStack=null;

  void colorRest() {
     if (simplifyWorklist != null) {
	Node n = simplifyWorklist.head;
	simplifyWorklist = simplifyWorklist.tail;
	for(NodeList p=n.adj(); p!=null; p=p.tail) {
	     Integer deg = (Integer)degreeMap.get(p.head);
	     if (deg==null) {}
	     else {if (deg.intValue()==K && !colored(p.head))
		     simplifyWorklist=new NodeList(p.head, simplifyWorklist);
	           degreeMap.put(p.head, new Integer(deg.intValue()-1));
		  }
	}
	degreeMap.remove(n);
	colorRest();
	selectColor(n);
     }
     else {
	int maxdeg= -1;
	Node n=null;
	for (NodeList p = igraph.nodes(); p!=null; p=p.tail) {
	    Integer deg = (Integer)degreeMap.get(p.head);
	    if (deg!=null && !colored(p.head) && deg.intValue() > maxdeg) {
		maxdeg=deg.intValue();
		n=p.head;
	    }
        }
	if (n != null) {
	    simplifyWorklist = new NodeList(n, simplifyWorklist);
	    colorRest();
	}
     }
  }
		
  void selectColor(Node n) {
	tryregs:
	for (TempList r = registers; r!=null; r=r.tail) {
	   String c = color(r.head);
	   for (NodeList p = n.adj(); p!=null; p=p.tail)
	      if (c==color(igraph.gtemp(p.head))) 
		 continue tryregs;
	   colorTab.put(igraph.gtemp(n),c);
	   return;
	}
	spillList = new TempList(igraph.gtemp(n), spillList);
  }
	

  public Color(InterferenceGraph ig, TempMap initial, TempList regs) {
     igraph=ig;
     precolored=initial;
     registers=regs;
     for(TempList p=regs; p!=null; p=p.tail) K++;
     initWorklist();
     colorRest();
  }
}

