/* Copyright (c) 1997 Andrew W. Appel.  Licensed software: see LICENSE file */
package RegAlloc;
import FlowGraph.AssemFlowGraph;

public class RegAlloc implements Temp.TempMap {

  public Assem.InstrList instrs;

  Color color;

  public String tempMap(Temp.Temp temp) {
	return color.tempMap(temp);
  }

  java.io.PrintStream out;

  Assem.InstrList alloc(Frame.Frame f, Assem.InstrList il) {
	AssemFlowGraph fgraph = new AssemFlowGraph(il);
	out.println("# Flow graph:");
	fgraph.show(out);
	InterferenceGraph igraph = new Liveness(fgraph);
	out.println("# Interference graph:");
	igraph.show(out);
        color = new Color(igraph, f, f.registers());
	if (color.spills() != null)
	  return alloc(f, new Spill(f,il,color.spills()).instrs);
	else return il;
  }
	

  public RegAlloc(Frame.Frame f, Assem.InstrList il) {
	try {out= new java.io.PrintStream(new java.io.FileOutputStream(f.name.toString() + ".reg.out"));
	} catch (java.io.IOException e) {throw new Error(e.toString());}

	instrs = alloc(f,il);

	out.close();

  }

}
