/* Copyright (c) 1997 Andrew W. Appel.  Licensed software: see LICENSE file */
package Semant;
import Symbol.Symbol;
import Symbol.Table;
import Translate.Level;

class Env {
   Table venv;
   Table tenv;
   ErrorMsg.ErrorMsg errorMsg;
   private Level level;

   private void mkfun(String name, Types.RECORD formals, Types.Type result) { 
	venv.put(Symbol.symbol(name), 
		 new FunEntry(level,new Temp.Label(name), formals,result));
   }
   private final static Symbol x = Symbol.symbol("x");

   Env(Level lev, ErrorMsg.ErrorMsg err) {
      level=lev;
      venv=new Table();
      tenv=new Table();
      errorMsg=err;

      mkfun("print", new Types.RECORD(x,new Types.STRING(),null),
		     new Types.VOID());
      mkfun("flush",null,
		     new Types.VOID());
      mkfun("ord", new Types.RECORD(x,new Types.STRING(),null),
		     new Types.INT());
      mkfun("chr", new Types.RECORD(x,new Types.INT(),null),
		     new Types.STRING());
      mkfun("size", new Types.RECORD(x,new Types.STRING(),null),
		     new Types.INT());
      mkfun("substring", new Types.RECORD(x,new Types.STRING(),
			   new Types.RECORD(x,new Types.INT(),
			    new Types.RECORD(x,new Types.INT(),null))),
	             new Types.STRING());
      mkfun("concat", new Types.RECORD(x,new Types.STRING(),
			    new Types.RECORD(x,new Types.STRING(),null)),
	             new Types.STRING());
      mkfun("not", new Types.RECORD(x,new Types.INT(),null),
		     new Types.INT());
      mkfun("input", null,
		     new Types.STRING());

      tenv.put(Symbol.symbol("int"),    new Types.INT());
      tenv.put(Symbol.symbol("string"), new Types.STRING());
  } 

}
