/* Copyright (c) 1997 Andrew W. Appel.  Licensed software: see LICENSE file */
package Translate;


public class Level {
  public AccessList formals;
  Frame.Access statlink;
  Frame.Frame frame;
  Level parent;

  AccessList makeFmls(Frame.AccessList l) {
    if (l==null) return null;
    else return new AccessList(new Access(this,l.head), makeFmls(l.tail));
  }

  public Level(Level p, Symbol.Symbol n, Util.BoolList fmls) {
     parent=p;
     frame = p.frame.newFrame(new Temp.Label(n), new Util.BoolList(true,fmls));
     formals = makeFmls(frame.formals.tail);
     statlink = frame.formals.head;
  }

  Level(Frame.Frame f) {
     frame = f;
     formals = null;
  }

  public Access allocLocal(boolean escape) {
     return new Access(this, frame.allocLocal(escape));
  }

  private Tree.Exp staticLink(Level from, Tree.Exp fromPtr) {
    if (from==this) return fromPtr;
    else return staticLink(from.parent, from.statlink.exp(fromPtr));
  }

  Tree.Exp staticLink(Level from) {
     return staticLink(from, new Tree.TEMP(from.frame.FP()));
  }

}
